***
***Corruption risk and the crony system in Hungary 
***A brief analysis of EU funded contracts in Hungarian public procurement 2005-2021
***CRCB Research Notes: 2022:3
***March 7, 2022
***

***f1

tabstat ncv_mrd if good==1,           by(year) stat(sum n)
tabstat ncv_mrd if good==1 & eu==1,   by(year) stat(sum n)
tabstat ncv_mrd if goodfw==1,         by(year) stat(sum n)
tabstat ncv_mrd if goodfw==1 & eu==1, by(year) stat(sum n)

***f2_1

tabstat sb if good==1 & eu==1,   by(year) stat(mean n)
tabstat sb if good==1 & eu==0,   by(year) stat(mean n)

tabstat sb if goodfw==1 & eu==1, by(year) stat(mean n)
tabstat sb if goodfw==1 & eu==0, by(year) stat(mean n)

***f2_2

tabstat mttb if good==1 & eu==1,   by(year) stat(mean n)
tabstat mttb if good==1 & eu==0,   by(year) stat(mean n)

tabstat mttb if goodfw==1 & eu==1, by(year) stat(mean n)
tabstat mttb if goodfw==1 & eu==0, by(year) stat(mean n)

***f3_1

tabstat ncv_mrd if goodfw==1, by(year) stat(sum n)
tabstat ncv_mrd if good  ==1, by(year) stat(sum n)

tabstat ncv_mrd if goodfw==1 & mgts_plus==1, by(year) stat(sum n)
tabstat ncv_mrd if good  ==1 & mgts_plus==1, by(year) stat(sum n)

***f3_2

tabstat ncv_mrd if goodfw==1 & eu==1, by(year) stat(sum n)
tabstat ncv_mrd if good  ==1 & eu==1, by(year) stat(sum n)

tabstat ncv_mrd if goodfw==1 & mgts_plus==1 & eu==1, by(year) stat(sum n)
tabstat ncv_mrd if good  ==1 & mgts_plus==1 & eu==1, by(year) stat(sum n)

***f4
***odds of winning by crony companies (mgts_plus) in all contracts and EU funded contracts
***insufficient data between 2005 and 2008
***without framework agreements

tab mgts_plus mgts_plus_b if goodfw & year==2009
tab mgts_plus mgts_plus_b if goodfw & year==2010
tab mgts_plus mgts_plus_b if goodfw & year==2011
tab mgts_plus mgts_plus_b if goodfw & year==2012
tab mgts_plus mgts_plus_b if goodfw & year==2013
tab mgts_plus mgts_plus_b if goodfw & year==2014
tab mgts_plus mgts_plus_b if goodfw & year==2015
tab mgts_plus mgts_plus_b if goodfw & year==2016
tab mgts_plus mgts_plus_b if goodfw & year==2017
tab mgts_plus mgts_plus_b if goodfw & year==2018
tab mgts_plus mgts_plus_b if goodfw & year==2019
tab mgts_plus mgts_plus_b if goodfw & year==2020 
tab mgts_plus mgts_plus_b if goodfw & year==2021

tab mgts_plus mgts_plus_b if goodfw & year==2009 & eu==1
tab mgts_plus mgts_plus_b if goodfw & year==2010 & eu==1
tab mgts_plus mgts_plus_b if goodfw & year==2011 & eu==1
tab mgts_plus mgts_plus_b if goodfw & year==2012 & eu==1
tab mgts_plus mgts_plus_b if goodfw & year==2013 & eu==1
tab mgts_plus mgts_plus_b if goodfw & year==2014 & eu==1
tab mgts_plus mgts_plus_b if goodfw & year==2015 & eu==1
tab mgts_plus mgts_plus_b if goodfw & year==2016 & eu==1
tab mgts_plus mgts_plus_b if goodfw & year==2017 & eu==1
tab mgts_plus mgts_plus_b if goodfw & year==2018 & eu==1
tab mgts_plus mgts_plus_b if goodfw & year==2019 & eu==1
tab mgts_plus mgts_plus_b if goodfw & year==2020 & eu==1 
tab mgts_plus mgts_plus_b if goodfw & year==2021 & eu==1

***
